/**
  @file       iosreset.ottocity.css
  @brief      ※ button 不能用 -webkit-appearance:none 否則display:table-cell無效(webkit預設樣式為-webkit-appearance:button;)
  @date       2020-03-31: Chiuhua + Create, Copy from iosreset.app.css 並整理語法, 只保留 ottocity 需要的
	@date       2020-04-17: Chiuhua + 新增 delect tag 下拉箭頭 FF 相容語法
	@date       2020-04-23: Chiuhua + 新增 delect tag 下拉箭頭 IE 相容語法
	@date       2022-05-09: Chiuhua # 220302699, 調整 select 文字顏色, 加 color:#000; 修正新版 iOS select 文字變藍色 (#Sharon)
*/

/* 調整 ios 捲動順暢度 */
div {-webkit-overflow-scrolling:touch;}

/* 調整 ios div 包 iframe 可捲動
   請手動加套在需要的 tag 上, ex:div */
.iosifrm_scrollauto {overflow:auto;}

/* 移除 ios 默認的內陰影及預設圓角 */
input:not([type="checkbox"]):not([type="radio"]), textarea {-webkit-appearance:none;border-radius:0px;}

/* 移除 ios active 半透明灰色, 包含: a, button, input, textarea, select, li */
* {-webkit-tap-highlight-color:transparent;}

/* 下拉箭頭圖示, 移除 ios select 默認漸層填色並補箭頭, Android 也適用 */
/* input 和其它 tag 下拉箭頭圖示 (所有 tag 樣式需一致, 故與 select 下拉圖示寫在一起) */
/* 2020-04-17: Chiuhua + 新增 delect tag 下拉箭頭 FF 相容語法 */
/* 2020-04-23: Chiuhua + 新增 delect tag 下拉箭頭 IE 相容語法 */
/* 2022-05-09: Chiuhua # 220302699, 調整 select 文字顏色, 加 color:#000; 修正新版 iOS select 文字變藍色 (#Sharon) */
select, .mark_dropdown {-moz-appearance:none;-webkit-appearance:none;color:#000;background-image:url(../image/dropdown_b_alpha50.svg) !important;background-repeat:no-repeat !important;background-position:right 10px top 50% !important;background-size:0.6rem auto !important;cursor:default;}
select::-ms-expand, select.mark_dropdown::-ms-expand {display:none;}
select:not(:disabled), .mark_dropdown:not(:disabled) {padding-right:1.3em !important;padding-right:0px\9 !important;}
/* 將 iOS select tag 的預設圓角歸零 */
select {border-radius:0px;}

/* 下拉箭頭白色 - 手動加套 */
select.arrowwhite {background-image:url(../image/dropdown_w.svg) !important;}

/* 下拉箭頭隱藏 - css 選擇器, disabled 則自動隱藏 */
select:disabled, input.mark_dropdown:disabled {background-image:none !important;}